* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    width: 100%;
    height: 100%;
    overflow: hidden; /* Empêche l'apparition de barres de défilement */
    background-color: #050505; /* Fond noir profond par défaut */
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: #ffffff;
}

#canvas-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1; /* En arrière-plan */
}

#ui-layer {
    position: absolute;
    top: 50%;
    left: 10%;
    transform: translateY(-50%);
    z-index: 2; /* Au premier plan */
    pointer-events: none; /* Laisse passer les clics vers la 3D si besoin */
}

#main-title {
    font-size: 4rem;
    font-weight: 300;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.8);
    opacity: 0; /* Caché au départ, géré par GSAP */
}

#sub-info {
    font-size: 2rem;
    color: #a0a0a0;
    margin-top: 1rem;
    opacity: 0;
}